Page MenuHomePhabricator

ext.translate module unnecessarily loaded on all page views
Closed, ResolvedPublic

Description

When I visit an article page (any article page) it appears the ext.translate module has unnecessarily been loaded.

In the console

mw.loader.getState( 'ext.translate' )
ready

Expected:

mw.loader.getState( 'ext.translate' )
registered

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterDo not add ext.translate to all pages

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 9:58 PM

Change 288811 had a related patch set uploaded (by Nikerabbit):
Do not add ext.translate to all pages

https://gerrit.wikimedia.org/r/288811

Nikerabbit triaged this task as Medium priority.

Change 288811 merged by jenkins-bot:
Do not add ext.translate to all pages

https://gerrit.wikimedia.org/r/288811

Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 2 board.May 17 2016, 7:03 AM
Nikerabbit closed this task as Resolved.May 18 2016, 7:15 AM

Confirmed on mediawiki.org.